Search for worlds
GET
/v4/worlds/search
Returns a list of worlds that is relevant to the search query. This searches the normalized_name field which makes this able to find worlds even if they have unicode variants of alphanumeric characters.
Parameters
Query Parameters
offset
Type
integer
Examples
012Minimum
0limit
Type
integer
Examples
123Minimum
1query*
A search query
Type
Requiredstring
Examples
"chaos box""pvp""moose"sort_by
World sorting method to use for querying.
Sorting method may start with + (ascending) or - (descending).
Defaults to + if not specified.
World sorting methods:
defaultvotesvisitsrecently_scrapedrecently_created
Throws HTTP 400 Bad Request if the format is not followed correctly.
Type
string
Examples
"default""+votes""-visits""recently_scraped"Format
"world-sort-by-parameter"project
Inlcudes or excludes specified fields.
Mixing inclusion and exclusion will throw HTTP 400 Bad Request.
Type
string
Examples
"name,visits""!world_uuid,!last_scraped"Responses
Default Response
application/json
JSON { "name": "Legitimoose Lobby", "icon": "string", "description": "My Awesome World", "normalized_name": "string", "raw_name": "string", "raw_description": "string", "owner_name": "Steve", "owner_uuid": "00000000-1111-2222-3333-444444444444", "world_uuid": "de9b06f4-39ea-4143-b0db-e4db7060b842", "creation_date": "Sep 30, 2026, 8:00 AM", "creation_date_unix_seconds": 1790726400, "enforce_whitelist": true, "featured_instant": 0, "jam": { "id": 0, "upgraded": true, "rating_count": 0, "scores": { "overall": { "rank": 0, "score": 0 }, "originality": { "rank": 0, "score": 0 }, "aesthetics": { "rank": 0, "score": 0 }, "fun": { "rank": 0, "score": 0 }, "theme": { "rank": 0, "score": 0 } } }, "player_count": 0, "visits": 0, "votes": 0, "locked": true, "max_datapack_size": 0, "max_players": 1, "resource_pack_url": "string", "version": "26.3", "whitelist_on_version_change": true, "last_scraped": 1790726400, "last_scraped_ms": "2026-09-30T00:00:00+08:00", "legitidevs": { } }
[
]
